IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2001:db8:0:0:2c00::/72- First address
2001:db8:0:0:2c00::- Last address
2001:db8::2cff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:2c00:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
c.2.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:2c00::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:2c00::/80 | 2001:db8::2c00:ffff:ffff:ffff |
| 2 | 2001:db8:0:0:2c01::/80 | 2001:db8::2c01:ffff:ffff:ffff |
| 3 | 2001:db8:0:0:2c02::/80 | 2001:db8::2c02:ffff:ffff:ffff |
| 4 | 2001:db8:0:0:2c03::/80 | 2001:db8::2c03:ffff:ffff:ffff |
| 5 | 2001:db8:0:0:2c04::/80 | 2001:db8::2c04:ffff:ffff:ffff |
| 6 | 2001:db8:0:0:2c05::/80 | 2001:db8::2c05:ffff:ffff:ffff |
| 7 | 2001:db8:0:0:2c06::/80 | 2001:db8::2c06:ffff:ffff:ffff |
| 8 | 2001:db8:0:0:2c07::/80 | 2001:db8::2c07:ffff:ffff:ffff |
| 9 | 2001:db8:0:0:2c08::/80 | 2001:db8::2c08:ffff:ffff:ffff |
| 10 | 2001:db8:0:0:2c09::/80 | 2001:db8::2c09:ffff:ffff:ffff |
| 11 | 2001:db8:0:0:2c0a::/80 | 2001:db8::2c0a:ffff:ffff:ffff |
| 12 | 2001:db8:0:0:2c0b::/80 | 2001:db8::2c0b:ffff:ffff:ffff |
| 13 | 2001:db8:0:0:2c0c::/80 | 2001:db8::2c0c:ffff:ffff:ffff |
| 14 | 2001:db8:0:0:2c0d::/80 | 2001:db8::2c0d:ffff:ffff:ffff |
| 15 | 2001:db8:0:0:2c0e::/80 | 2001:db8::2c0e:ffff:ffff:ffff |
| 16 | 2001:db8:0:0:2c0f::/80 | 2001:db8::2c0f:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:2c10::/80 | 2001:db8::2c10:ffff:ffff:ffff |
| 18 | 2001:db8:0:0:2c11::/80 | 2001:db8::2c11:ffff:ffff:ffff |
| 19 | 2001:db8:0:0:2c12::/80 | 2001:db8::2c12:ffff:ffff:ffff |
| 20 | 2001:db8:0:0:2c13::/80 | 2001:db8::2c13:ffff:ffff:ffff |
| 21 | 2001:db8:0:0:2c14::/80 | 2001:db8::2c14:ffff:ffff:ffff |
| 22 | 2001:db8:0:0:2c15::/80 | 2001:db8::2c15:ffff:ffff:ffff |
| 23 | 2001:db8:0:0:2c16::/80 | 2001:db8::2c16:ffff:ffff:ffff |
| 24 | 2001:db8:0:0:2c17::/80 | 2001:db8::2c17:ffff:ffff:ffff |
| 25 | 2001:db8:0:0:2c18::/80 | 2001:db8::2c18:ffff:ffff:ffff |
| 26 | 2001:db8:0:0:2c19::/80 | 2001:db8::2c19:ffff:ffff:ffff |
| 27 | 2001:db8:0:0:2c1a::/80 | 2001:db8::2c1a:ffff:ffff:ffff |
| 28 | 2001:db8:0:0:2c1b::/80 | 2001:db8::2c1b:ffff:ffff:ffff |
| 29 | 2001:db8:0:0:2c1c::/80 | 2001:db8::2c1c:ffff:ffff:ffff |
| 30 | 2001:db8:0:0:2c1d::/80 | 2001:db8::2c1d:ffff:ffff:ffff |
| 31 | 2001:db8:0:0:2c1e::/80 | 2001:db8::2c1e:ffff:ffff:ffff |
| 32 | 2001:db8:0:0:2c1f::/80 | 2001:db8::2c1f:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:2c20::/80 | 2001:db8::2c20:ffff:ffff:ffff |
| 34 | 2001:db8:0:0:2c21::/80 | 2001:db8::2c21:ffff:ffff:ffff |
| 35 | 2001:db8:0:0:2c22::/80 | 2001:db8::2c22:ffff:ffff:ffff |
| 36 | 2001:db8:0:0:2c23::/80 | 2001:db8::2c23:ffff:ffff:ffff |
| 37 | 2001:db8:0:0:2c24::/80 | 2001:db8::2c24:ffff:ffff:ffff |
| 38 | 2001:db8:0:0:2c25::/80 | 2001:db8::2c25:ffff:ffff:ffff |
| 39 | 2001:db8:0:0:2c26::/80 | 2001:db8::2c26:ffff:ffff:ffff |
| 40 | 2001:db8:0:0:2c27::/80 | 2001:db8::2c27:ffff:ffff:ffff |
| 41 | 2001:db8:0:0:2c28::/80 | 2001:db8::2c28:ffff:ffff:ffff |
| 42 | 2001:db8:0:0:2c29::/80 | 2001:db8::2c29:ffff:ffff:ffff |
| 43 | 2001:db8:0:0:2c2a::/80 | 2001:db8::2c2a:ffff:ffff:ffff |
| 44 | 2001:db8:0:0:2c2b::/80 | 2001:db8::2c2b:ffff:ffff:ffff |
| 45 | 2001:db8:0:0:2c2c::/80 | 2001:db8::2c2c:ffff:ffff:ffff |
| 46 | 2001:db8:0:0:2c2d::/80 | 2001:db8::2c2d:ffff:ffff:ffff |
| 47 | 2001:db8:0:0:2c2e::/80 | 2001:db8::2c2e:ffff:ffff:ffff |
| 48 | 2001:db8:0:0:2c2f::/80 | 2001:db8::2c2f:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:2c30::/80 | 2001:db8::2c30:ffff:ffff:ffff |
| 50 | 2001:db8:0:0:2c31::/80 | 2001:db8::2c31:ffff:ffff:ffff |
| 51 | 2001:db8:0:0:2c32::/80 | 2001:db8::2c32:ffff:ffff:ffff |
| 52 | 2001:db8:0:0:2c33::/80 | 2001:db8::2c33:ffff:ffff:ffff |
| 53 | 2001:db8:0:0:2c34::/80 | 2001:db8::2c34:ffff:ffff:ffff |
| 54 | 2001:db8:0:0:2c35::/80 | 2001:db8::2c35:ffff:ffff:ffff |
| 55 | 2001:db8:0:0:2c36::/80 | 2001:db8::2c36:ffff:ffff:ffff |
| 56 | 2001:db8:0:0:2c37::/80 | 2001:db8::2c37:ffff:ffff:ffff |
| 57 | 2001:db8:0:0:2c38::/80 | 2001:db8::2c38:ffff:ffff:ffff |
| 58 | 2001:db8:0:0:2c39::/80 | 2001:db8::2c39:ffff:ffff:ffff |
| 59 | 2001:db8:0:0:2c3a::/80 | 2001:db8::2c3a:ffff:ffff:ffff |
| 60 | 2001:db8:0:0:2c3b::/80 | 2001:db8::2c3b:ffff:ffff:ffff |
| 61 | 2001:db8:0:0:2c3c::/80 | 2001:db8::2c3c:ffff:ffff:ffff |
| 62 | 2001:db8:0:0:2c3d::/80 | 2001:db8::2c3d:ffff:ffff:ffff |
| 63 | 2001:db8:0:0:2c3e::/80 | 2001:db8::2c3e:ffff:ffff:ffff |
| 64 | 2001:db8:0:0:2c3f::/80 | 2001:db8::2c3f:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:2c40::/80 | 2001:db8::2c40:ffff:ffff:ffff |
| 66 | 2001:db8:0:0:2c41::/80 | 2001:db8::2c41:ffff:ffff:ffff |
| 67 | 2001:db8:0:0:2c42::/80 | 2001:db8::2c42:ffff:ffff:ffff |
| 68 | 2001:db8:0:0:2c43::/80 | 2001:db8::2c43:ffff:ffff:ffff |
| 69 | 2001:db8:0:0:2c44::/80 | 2001:db8::2c44:ffff:ffff:ffff |
| 70 | 2001:db8:0:0:2c45::/80 | 2001:db8::2c45:ffff:ffff:ffff |
| 71 | 2001:db8:0:0:2c46::/80 | 2001:db8::2c46:ffff:ffff:ffff |
| 72 | 2001:db8:0:0:2c47::/80 | 2001:db8::2c47:ffff:ffff:ffff |
| 73 | 2001:db8:0:0:2c48::/80 | 2001:db8::2c48:ffff:ffff:ffff |
| 74 | 2001:db8:0:0:2c49::/80 | 2001:db8::2c49:ffff:ffff:ffff |
| 75 | 2001:db8:0:0:2c4a::/80 | 2001:db8::2c4a:ffff:ffff:ffff |
| 76 | 2001:db8:0:0:2c4b::/80 | 2001:db8::2c4b:ffff:ffff:ffff |
| 77 | 2001:db8:0:0:2c4c::/80 | 2001:db8::2c4c:ffff:ffff:ffff |
| 78 | 2001:db8:0:0:2c4d::/80 | 2001:db8::2c4d:ffff:ffff:ffff |
| 79 | 2001:db8:0:0:2c4e::/80 | 2001:db8::2c4e:ffff:ffff:ffff |
| 80 | 2001:db8:0:0:2c4f::/80 | 2001:db8::2c4f:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:2c50::/80 | 2001:db8::2c50:ffff:ffff:ffff |
| 82 | 2001:db8:0:0:2c51::/80 | 2001:db8::2c51:ffff:ffff:ffff |
| 83 | 2001:db8:0:0:2c52::/80 | 2001:db8::2c52:ffff:ffff:ffff |
| 84 | 2001:db8:0:0:2c53::/80 | 2001:db8::2c53:ffff:ffff:ffff |
| 85 | 2001:db8:0:0:2c54::/80 | 2001:db8::2c54:ffff:ffff:ffff |
| 86 | 2001:db8:0:0:2c55::/80 | 2001:db8::2c55:ffff:ffff:ffff |
| 87 | 2001:db8:0:0:2c56::/80 | 2001:db8::2c56:ffff:ffff:ffff |
| 88 | 2001:db8:0:0:2c57::/80 | 2001:db8::2c57:ffff:ffff:ffff |
| 89 | 2001:db8:0:0:2c58::/80 | 2001:db8::2c58:ffff:ffff:ffff |
| 90 | 2001:db8:0:0:2c59::/80 | 2001:db8::2c59:ffff:ffff:ffff |
| 91 | 2001:db8:0:0:2c5a::/80 | 2001:db8::2c5a:ffff:ffff:ffff |
| 92 | 2001:db8:0:0:2c5b::/80 | 2001:db8::2c5b:ffff:ffff:ffff |
| 93 | 2001:db8:0:0:2c5c::/80 | 2001:db8::2c5c:ffff:ffff:ffff |
| 94 | 2001:db8:0:0:2c5d::/80 | 2001:db8::2c5d:ffff:ffff:ffff |
| 95 | 2001:db8:0:0:2c5e::/80 | 2001:db8::2c5e:ffff:ffff:ffff |
| 96 | 2001:db8:0:0:2c5f::/80 | 2001:db8::2c5f:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:2c60::/80 | 2001:db8::2c60:ffff:ffff:ffff |
| 98 | 2001:db8:0:0:2c61::/80 | 2001:db8::2c61:ffff:ffff:ffff |
| 99 | 2001:db8:0:0:2c62::/80 | 2001:db8::2c62:ffff:ffff:ffff |
| 100 | 2001:db8:0:0:2c63::/80 | 2001:db8::2c63:ffff:ffff:ffff |
| 101 | 2001:db8:0:0:2c64::/80 | 2001:db8::2c64:ffff:ffff:ffff |
| 102 | 2001:db8:0:0:2c65::/80 | 2001:db8::2c65:ffff:ffff:ffff |
| 103 | 2001:db8:0:0:2c66::/80 | 2001:db8::2c66:ffff:ffff:ffff |
| 104 | 2001:db8:0:0:2c67::/80 | 2001:db8::2c67:ffff:ffff:ffff |
| 105 | 2001:db8:0:0:2c68::/80 | 2001:db8::2c68:ffff:ffff:ffff |
| 106 | 2001:db8:0:0:2c69::/80 | 2001:db8::2c69:ffff:ffff:ffff |
| 107 | 2001:db8:0:0:2c6a::/80 | 2001:db8::2c6a:ffff:ffff:ffff |
| 108 | 2001:db8:0:0:2c6b::/80 | 2001:db8::2c6b:ffff:ffff:ffff |
| 109 | 2001:db8:0:0:2c6c::/80 | 2001:db8::2c6c:ffff:ffff:ffff |
| 110 | 2001:db8:0:0:2c6d::/80 | 2001:db8::2c6d:ffff:ffff:ffff |
| 111 | 2001:db8:0:0:2c6e::/80 | 2001:db8::2c6e:ffff:ffff:ffff |
| 112 | 2001:db8:0:0:2c6f::/80 | 2001:db8::2c6f:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:2c70::/80 | 2001:db8::2c70:ffff:ffff:ffff |
| 114 | 2001:db8:0:0:2c71::/80 | 2001:db8::2c71:ffff:ffff:ffff |
| 115 | 2001:db8:0:0:2c72::/80 | 2001:db8::2c72:ffff:ffff:ffff |
| 116 | 2001:db8:0:0:2c73::/80 | 2001:db8::2c73:ffff:ffff:ffff |
| 117 | 2001:db8:0:0:2c74::/80 | 2001:db8::2c74:ffff:ffff:ffff |
| 118 | 2001:db8:0:0:2c75::/80 | 2001:db8::2c75:ffff:ffff:ffff |
| 119 | 2001:db8:0:0:2c76::/80 | 2001:db8::2c76:ffff:ffff:ffff |
| 120 | 2001:db8:0:0:2c77::/80 | 2001:db8::2c77:ffff:ffff:ffff |
| 121 | 2001:db8:0:0:2c78::/80 | 2001:db8::2c78:ffff:ffff:ffff |
| 122 | 2001:db8:0:0:2c79::/80 | 2001:db8::2c79:ffff:ffff:ffff |
| 123 | 2001:db8:0:0:2c7a::/80 | 2001:db8::2c7a:ffff:ffff:ffff |
| 124 | 2001:db8:0:0:2c7b::/80 | 2001:db8::2c7b:ffff:ffff:ffff |
| 125 | 2001:db8:0:0:2c7c::/80 | 2001:db8::2c7c:ffff:ffff:ffff |
| 126 | 2001:db8:0:0:2c7d::/80 | 2001:db8::2c7d:ffff:ffff:ffff |
| 127 | 2001:db8:0:0:2c7e::/80 | 2001:db8::2c7e:ffff:ffff:ffff |
| 128 | 2001:db8:0:0:2c7f::/80 | 2001:db8::2c7f:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:2c80::/80 | 2001:db8::2c80:ffff:ffff:ffff |
| 130 | 2001:db8:0:0:2c81::/80 | 2001:db8::2c81:ffff:ffff:ffff |
| 131 | 2001:db8:0:0:2c82::/80 | 2001:db8::2c82:ffff:ffff:ffff |
| 132 | 2001:db8:0:0:2c83::/80 | 2001:db8::2c83:ffff:ffff:ffff |
| 133 | 2001:db8:0:0:2c84::/80 | 2001:db8::2c84:ffff:ffff:ffff |
| 134 | 2001:db8:0:0:2c85::/80 | 2001:db8::2c85:ffff:ffff:ffff |
| 135 | 2001:db8:0:0:2c86::/80 | 2001:db8::2c86:ffff:ffff:ffff |
| 136 | 2001:db8:0:0:2c87::/80 | 2001:db8::2c87:ffff:ffff:ffff |
| 137 | 2001:db8:0:0:2c88::/80 | 2001:db8::2c88:ffff:ffff:ffff |
| 138 | 2001:db8:0:0:2c89::/80 | 2001:db8::2c89:ffff:ffff:ffff |
| 139 | 2001:db8:0:0:2c8a::/80 | 2001:db8::2c8a:ffff:ffff:ffff |
| 140 | 2001:db8:0:0:2c8b::/80 | 2001:db8::2c8b:ffff:ffff:ffff |
| 141 | 2001:db8:0:0:2c8c::/80 | 2001:db8::2c8c:ffff:ffff:ffff |
| 142 | 2001:db8:0:0:2c8d::/80 | 2001:db8::2c8d:ffff:ffff:ffff |
| 143 | 2001:db8:0:0:2c8e::/80 | 2001:db8::2c8e:ffff:ffff:ffff |
| 144 | 2001:db8:0:0:2c8f::/80 | 2001:db8::2c8f:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:2c90::/80 | 2001:db8::2c90:ffff:ffff:ffff |
| 146 | 2001:db8:0:0:2c91::/80 | 2001:db8::2c91:ffff:ffff:ffff |
| 147 | 2001:db8:0:0:2c92::/80 | 2001:db8::2c92:ffff:ffff:ffff |
| 148 | 2001:db8:0:0:2c93::/80 | 2001:db8::2c93:ffff:ffff:ffff |
| 149 | 2001:db8:0:0:2c94::/80 | 2001:db8::2c94:ffff:ffff:ffff |
| 150 | 2001:db8:0:0:2c95::/80 | 2001:db8::2c95:ffff:ffff:ffff |
| 151 | 2001:db8:0:0:2c96::/80 | 2001:db8::2c96:ffff:ffff:ffff |
| 152 | 2001:db8:0:0:2c97::/80 | 2001:db8::2c97:ffff:ffff:ffff |
| 153 | 2001:db8:0:0:2c98::/80 | 2001:db8::2c98:ffff:ffff:ffff |
| 154 | 2001:db8:0:0:2c99::/80 | 2001:db8::2c99:ffff:ffff:ffff |
| 155 | 2001:db8:0:0:2c9a::/80 | 2001:db8::2c9a:ffff:ffff:ffff |
| 156 | 2001:db8:0:0:2c9b::/80 | 2001:db8::2c9b:ffff:ffff:ffff |
| 157 | 2001:db8:0:0:2c9c::/80 | 2001:db8::2c9c:ffff:ffff:ffff |
| 158 | 2001:db8:0:0:2c9d::/80 | 2001:db8::2c9d:ffff:ffff:ffff |
| 159 | 2001:db8:0:0:2c9e::/80 | 2001:db8::2c9e:ffff:ffff:ffff |
| 160 | 2001:db8:0:0:2c9f::/80 | 2001:db8::2c9f:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:2ca0::/80 | 2001:db8::2ca0:ffff:ffff:ffff |
| 162 | 2001:db8:0:0:2ca1::/80 | 2001:db8::2ca1:ffff:ffff:ffff |
| 163 | 2001:db8:0:0:2ca2::/80 | 2001:db8::2ca2:ffff:ffff:ffff |
| 164 | 2001:db8:0:0:2ca3::/80 | 2001:db8::2ca3:ffff:ffff:ffff |
| 165 | 2001:db8:0:0:2ca4::/80 | 2001:db8::2ca4:ffff:ffff:ffff |
| 166 | 2001:db8:0:0:2ca5::/80 | 2001:db8::2ca5:ffff:ffff:ffff |
| 167 | 2001:db8:0:0:2ca6::/80 | 2001:db8::2ca6:ffff:ffff:ffff |
| 168 | 2001:db8:0:0:2ca7::/80 | 2001:db8::2ca7:ffff:ffff:ffff |
| 169 | 2001:db8:0:0:2ca8::/80 | 2001:db8::2ca8:ffff:ffff:ffff |
| 170 | 2001:db8:0:0:2ca9::/80 | 2001:db8::2ca9:ffff:ffff:ffff |
| 171 | 2001:db8:0:0:2caa::/80 | 2001:db8::2caa:ffff:ffff:ffff |
| 172 | 2001:db8:0:0:2cab::/80 | 2001:db8::2cab:ffff:ffff:ffff |
| 173 | 2001:db8:0:0:2cac::/80 | 2001:db8::2cac:ffff:ffff:ffff |
| 174 | 2001:db8:0:0:2cad::/80 | 2001:db8::2cad:ffff:ffff:ffff |
| 175 | 2001:db8:0:0:2cae::/80 | 2001:db8::2cae:ffff:ffff:ffff |
| 176 | 2001:db8:0:0:2caf::/80 | 2001:db8::2caf:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:2cb0::/80 | 2001:db8::2cb0:ffff:ffff:ffff |
| 178 | 2001:db8:0:0:2cb1::/80 | 2001:db8::2cb1:ffff:ffff:ffff |
| 179 | 2001:db8:0:0:2cb2::/80 | 2001:db8::2cb2:ffff:ffff:ffff |
| 180 | 2001:db8:0:0:2cb3::/80 | 2001:db8::2cb3:ffff:ffff:ffff |
| 181 | 2001:db8:0:0:2cb4::/80 | 2001:db8::2cb4:ffff:ffff:ffff |
| 182 | 2001:db8:0:0:2cb5::/80 | 2001:db8::2cb5:ffff:ffff:ffff |
| 183 | 2001:db8:0:0:2cb6::/80 | 2001:db8::2cb6:ffff:ffff:ffff |
| 184 | 2001:db8:0:0:2cb7::/80 | 2001:db8::2cb7:ffff:ffff:ffff |
| 185 | 2001:db8:0:0:2cb8::/80 | 2001:db8::2cb8:ffff:ffff:ffff |
| 186 | 2001:db8:0:0:2cb9::/80 | 2001:db8::2cb9:ffff:ffff:ffff |
| 187 | 2001:db8:0:0:2cba::/80 | 2001:db8::2cba:ffff:ffff:ffff |
| 188 | 2001:db8:0:0:2cbb::/80 | 2001:db8::2cbb:ffff:ffff:ffff |
| 189 | 2001:db8:0:0:2cbc::/80 | 2001:db8::2cbc:ffff:ffff:ffff |
| 190 | 2001:db8:0:0:2cbd::/80 | 2001:db8::2cbd:ffff:ffff:ffff |
| 191 | 2001:db8:0:0:2cbe::/80 | 2001:db8::2cbe:ffff:ffff:ffff |
| 192 | 2001:db8:0:0:2cbf::/80 | 2001:db8::2cbf:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:2cc0::/80 | 2001:db8::2cc0:ffff:ffff:ffff |
| 194 | 2001:db8:0:0:2cc1::/80 | 2001:db8::2cc1:ffff:ffff:ffff |
| 195 | 2001:db8:0:0:2cc2::/80 | 2001:db8::2cc2:ffff:ffff:ffff |
| 196 | 2001:db8:0:0:2cc3::/80 | 2001:db8::2cc3:ffff:ffff:ffff |
| 197 | 2001:db8:0:0:2cc4::/80 | 2001:db8::2cc4:ffff:ffff:ffff |
| 198 | 2001:db8:0:0:2cc5::/80 | 2001:db8::2cc5:ffff:ffff:ffff |
| 199 | 2001:db8:0:0:2cc6::/80 | 2001:db8::2cc6:ffff:ffff:ffff |
| 200 | 2001:db8:0:0:2cc7::/80 | 2001:db8::2cc7:ffff:ffff:ffff |
| 201 | 2001:db8:0:0:2cc8::/80 | 2001:db8::2cc8:ffff:ffff:ffff |
| 202 | 2001:db8:0:0:2cc9::/80 | 2001:db8::2cc9:ffff:ffff:ffff |
| 203 | 2001:db8:0:0:2cca::/80 | 2001:db8::2cca:ffff:ffff:ffff |
| 204 | 2001:db8:0:0:2ccb::/80 | 2001:db8::2ccb:ffff:ffff:ffff |
| 205 | 2001:db8:0:0:2ccc::/80 | 2001:db8::2ccc:ffff:ffff:ffff |
| 206 | 2001:db8:0:0:2ccd::/80 | 2001:db8::2ccd:ffff:ffff:ffff |
| 207 | 2001:db8:0:0:2cce::/80 | 2001:db8::2cce:ffff:ffff:ffff |
| 208 | 2001:db8:0:0:2ccf::/80 | 2001:db8::2ccf:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:2cd0::/80 | 2001:db8::2cd0:ffff:ffff:ffff |
| 210 | 2001:db8:0:0:2cd1::/80 | 2001:db8::2cd1:ffff:ffff:ffff |
| 211 | 2001:db8:0:0:2cd2::/80 | 2001:db8::2cd2:ffff:ffff:ffff |
| 212 | 2001:db8:0:0:2cd3::/80 | 2001:db8::2cd3:ffff:ffff:ffff |
| 213 | 2001:db8:0:0:2cd4::/80 | 2001:db8::2cd4:ffff:ffff:ffff |
| 214 | 2001:db8:0:0:2cd5::/80 | 2001:db8::2cd5:ffff:ffff:ffff |
| 215 | 2001:db8:0:0:2cd6::/80 | 2001:db8::2cd6:ffff:ffff:ffff |
| 216 | 2001:db8:0:0:2cd7::/80 | 2001:db8::2cd7:ffff:ffff:ffff |
| 217 | 2001:db8:0:0:2cd8::/80 | 2001:db8::2cd8:ffff:ffff:ffff |
| 218 | 2001:db8:0:0:2cd9::/80 | 2001:db8::2cd9:ffff:ffff:ffff |
| 219 | 2001:db8:0:0:2cda::/80 | 2001:db8::2cda:ffff:ffff:ffff |
| 220 | 2001:db8:0:0:2cdb::/80 | 2001:db8::2cdb:ffff:ffff:ffff |
| 221 | 2001:db8:0:0:2cdc::/80 | 2001:db8::2cdc:ffff:ffff:ffff |
| 222 | 2001:db8:0:0:2cdd::/80 | 2001:db8::2cdd:ffff:ffff:ffff |
| 223 | 2001:db8:0:0:2cde::/80 | 2001:db8::2cde:ffff:ffff:ffff |
| 224 | 2001:db8:0:0:2cdf::/80 | 2001:db8::2cdf:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:2ce0::/80 | 2001:db8::2ce0:ffff:ffff:ffff |
| 226 | 2001:db8:0:0:2ce1::/80 | 2001:db8::2ce1:ffff:ffff:ffff |
| 227 | 2001:db8:0:0:2ce2::/80 | 2001:db8::2ce2:ffff:ffff:ffff |
| 228 | 2001:db8:0:0:2ce3::/80 | 2001:db8::2ce3:ffff:ffff:ffff |
| 229 | 2001:db8:0:0:2ce4::/80 | 2001:db8::2ce4:ffff:ffff:ffff |
| 230 | 2001:db8:0:0:2ce5::/80 | 2001:db8::2ce5:ffff:ffff:ffff |
| 231 | 2001:db8:0:0:2ce6::/80 | 2001:db8::2ce6:ffff:ffff:ffff |
| 232 | 2001:db8:0:0:2ce7::/80 | 2001:db8::2ce7:ffff:ffff:ffff |
| 233 | 2001:db8:0:0:2ce8::/80 | 2001:db8::2ce8:ffff:ffff:ffff |
| 234 | 2001:db8:0:0:2ce9::/80 | 2001:db8::2ce9:ffff:ffff:ffff |
| 235 | 2001:db8:0:0:2cea::/80 | 2001:db8::2cea:ffff:ffff:ffff |
| 236 | 2001:db8:0:0:2ceb::/80 | 2001:db8::2ceb:ffff:ffff:ffff |
| 237 | 2001:db8:0:0:2cec::/80 | 2001:db8::2cec:ffff:ffff:ffff |
| 238 | 2001:db8:0:0:2ced::/80 | 2001:db8::2ced:ffff:ffff:ffff |
| 239 | 2001:db8:0:0:2cee::/80 | 2001:db8::2cee:ffff:ffff:ffff |
| 240 | 2001:db8:0:0:2cef::/80 | 2001:db8::2cef:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:2cf0::/80 | 2001:db8::2cf0:ffff:ffff:ffff |
| 242 | 2001:db8:0:0:2cf1::/80 | 2001:db8::2cf1:ffff:ffff:ffff |
| 243 | 2001:db8:0:0:2cf2::/80 | 2001:db8::2cf2:ffff:ffff:ffff |
| 244 | 2001:db8:0:0:2cf3::/80 | 2001:db8::2cf3:ffff:ffff:ffff |
| 245 | 2001:db8:0:0:2cf4::/80 | 2001:db8::2cf4:ffff:ffff:ffff |
| 246 | 2001:db8:0:0:2cf5::/80 | 2001:db8::2cf5:ffff:ffff:ffff |
| 247 | 2001:db8:0:0:2cf6::/80 | 2001:db8::2cf6:ffff:ffff:ffff |
| 248 | 2001:db8:0:0:2cf7::/80 | 2001:db8::2cf7:ffff:ffff:ffff |
| 249 | 2001:db8:0:0:2cf8::/80 | 2001:db8::2cf8:ffff:ffff:ffff |
| 250 | 2001:db8:0:0:2cf9::/80 | 2001:db8::2cf9:ffff:ffff:ffff |
| 251 | 2001:db8:0:0:2cfa::/80 | 2001:db8::2cfa:ffff:ffff:ffff |
| 252 | 2001:db8:0:0:2cfb::/80 | 2001:db8::2cfb:ffff:ffff:ffff |
| 253 | 2001:db8:0:0:2cfc::/80 | 2001:db8::2cfc:ffff:ffff:ffff |
| 254 | 2001:db8:0:0:2cfd::/80 | 2001:db8::2cfd:ffff:ffff:ffff |
| 255 | 2001:db8:0:0:2cfe::/80 | 2001:db8::2cfe:ffff:ffff:ffff |
| 256 | 2001:db8:0:0:2cff::/80 | 2001:db8::2cff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |